import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/wms_item';
import { h } from 'vue';
import { Tag, Tooltip } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '锡膏UPN编码',
    dataIndex: 'UPN',
    width: 200,
    sorter: true,
    resizable: true
  },
  {
    title: 'CPN编码',
    dataIndex: 'CPN',
    width: 200,
    sorter: true,
    resizable: true
  },
  {
    title: '线别',
    dataIndex: 'LINE_CODE',
    width: 150,
    sorter: true,
    resizable: true
  },
  {
    title: '关联钢网',
    dataIndex: 'SMT_STENCIL',
    width: 150,
    sorter: true,
    resizable: true
  },
  {
    title: '状态',
    dataIndex: 'STATUS',
    width: 100,
    sorter: true,
    resizable: true,
    customRender: ({ record }) => {
      const status = record.STATUS;
      var text = '';
      var color = '';
      switch (status) {
        case 0:
          text = '登记';
          color = 'green';
          break;
        case 1:
          text = '入库';
          color = 'blue';
          break;
        case 2:
          text = '回温';
          color = 'blue';
          break;
        case 3:
          text = '领用';
          color = 'blue';
          break;
        case 4:
          text = '上线';
          color = 'blue';
          break;
        case 5:
          text = '搅拌';
          color = 'blue';
          break;
        case 6:
          text = '下线';
          color = 'blue';
          break;
        case 7:
          text = '用毕';
          color = 'blue';
          break;
        default:
          break;
      }
      return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
    },
  },
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width: 100,
    sorter: true,
    resizable: true
  }
  ,
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width: 100,
    sorter: true,
    resizable: true
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'UPN',
    label: '锡膏UPN编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];
